
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET ListView控件学习系列1-了解ListView控件 / iVAN</title>

    <meta name="description" content="ASP.NET ListView控件学习系列1-了解ListView控件 ASP.NET中新的ListView控件为显示和CURD数据库操作提供了基于模板的布局,使之成为一项极好的方式,建立以数据为中心的Web应用程序. 当你编写以用户为中心的应用程序时,总需要某种形式的数据集,起码来说,你需要从一个数据源如关系数据库或XML文件检索数据,在显示给用户之前先要进行格式化,尽管ASP.NET之前的版本就提供了以数据为中心的显示控件如GridView,这些控件缺乏专业Web开发人员需要的可自定义和可扩展特性,为了解决这个问题,ASP.NET3.5提供了一个新的控件List">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET ListView控件学习系列1-了解ListView控件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ASP.NET中新的ListView控件为显示和CURD数据库操作提供了基于模板的布局，使之成为一项极好的方式，建立以数据为中心的Web应用程序。</p>
<p>当你编写以用户为中心的应用程序时，总需要某种形式的数据集，起码来说，你需要从一个数据源如关系数据库或XML文件检索数据，在显示给用户之前先要进行格式化，尽管ASP.NET之前的版本就提供了以数据为中心的显示控件如GridView，这些控件缺乏专业Web开发人员需要的可自定义和可扩展特性，为了解决这个问题，ASP.NET3.5提供了一个新的控件ListView，它提供了非常优秀的自定义和扩展特性，使用这些特性，你可以以任何格式显示数据，使用模板和样式，同时用最少的代码执行CURD（创建、读取、更新、删除）操作。本文主要集中于使用新的ListView控件时数据访问步骤，同时还包括高级特性如编辑数据和处理事件。</p>
<p>ListView控件入门</p>
<p>ASP.NET提供的大部分数据绑定控件都是使用额外的标记自动封装显示数据，举例来说，GridView控件在一个HTML表格（&lt;table&gt;）中显示它的数据，每条记录显示一行（&lt;tr&gt;），每个字段显示为一个单元格（&lt;td&gt;），虽然你可以使用TemplateField组件自定义GridView的外观，但GridView的输出仍然是限制在一个table组件中的，但有时候你想要完全控制由数据绑定控件产生的HTML标记的外观，这正是ListView控件的优势，ListView控件不是使用额外的标记来封装它的输出内容，而是靠你指定的精确的HTML描述，使用ListView控件内置的模板就可以指定精确的标记，表1列出了ListView控件支持的模板。</p>
<table>
<tbody>
<tr>
<td>模板</td>
<td>用途</td>
</tr>
<tr>
<td>AlternatingItemTemplate交替项目模板</td>
<td>用不同的标记显示交替的项目，便于查看者区别连续不断的项目</td>
</tr>
<tr>
<td>EditItemTemplate编辑项目模板</td>
<td>控制编辑时的项目显示</td>
</tr>
<tr>
<td>EmptyDataTemplate空数据模板</td>
<td>控制ListView数据源返回空数据时的显示</td>
</tr>
<tr>
<td>EmptyItemTemplate空项目模板</td>
<td>控制空项目的显示</td>
</tr>
<tr>
<td>GroupSeparatorTemplate组分隔模板</td>
<td>控制项目组内容的显示</td>
</tr>
<tr>
<td>GroupTemplate组模板</td>
<td>为内容指定一个容器对象，如一个表行、div或span组件</td>
</tr>
<tr>
<td>InsertItemTemplate插入项目模板</td>
<td>用户插入项目时为其指定内容</td>
</tr>
<tr>
<td>ItemSeparatorTemplate项目分隔模板</td>
<td>控制项目之间内容的显示</td>
</tr>
<tr>
<td>ItemTemplate项目模板</td>
<td>控制项目内容的显示</td>
</tr>
<tr>
<td>LayoutTemplate布局模板</td>
<td>指定定义容器对象的根组件，如一个table、div或span组件，它们包装ItemTemplate或GroupTemplate定义的内容。</td>
</tr>
<tr>
<td>SelectedItemTemplate已选择项目模板</td>
<td>指定当前选中的项目内容的显示</td>
</tr>
</tbody>
</table>
<p>最关键的两个模板是LayoutTemplate和ItemTemplate，正如名字暗示的那样，LayoutTemplate为ListView控件指定了总的标记，</p>
<p>而ItemTemplate指定的标记用于显示每个绑定的记录，例如：下面的代码显示了在ListView中由HTML table控制的一串项目。</p>
<p><code>&lt;asp:ListView ID="..." runat="server" DataSourceID="..."&gt;<br />
&lt;LayoutTemplate&gt;<br />
&lt;table …….&gt;<br />
&lt;tr runat="server" ID="itemPlaceholder"&gt;&lt;/tr&gt;<br />
&lt;/table&gt;<br />
&lt;/LayoutTemplate&gt;<br />
&lt;ItemTemplate&gt;<br />
&lt;tr&gt;<br />
&lt;td&gt;&lt;%# Eval("Name") %&gt;&lt;/td&gt;<br />
&lt;/tr&gt;<br />
&lt;/ItemTemplate&gt;<br />
&lt;/asp:ListView&gt;</code></p>
<p>在前面的代码中，LayoutTemplate标记内的&lt;tr&gt;标记的ID是设置项目占位符（itemPlaceHolder），它告诉ListView通过&lt;table&gt;内的ItemTemplate产生的内容要放到什么地方，这就是为什么你需要单独定义LayoutTemplate和ItemTemplate模板的原因。</p>
<p>一个简单的数据绑定的例子</p>
<p>你已经看到LisView控件支持的多个模板了，下一步是要创建一个简单的web站点，名字就叫做ListViewExample（你可以从http://assets.devx.com/sourcecode/38579_tt_mainsource.zip下载该站点的示例代码），创建好web站点后，选择Web站点?添加新项目，添加一个新的ASP.NET页面，名字命名为SimpleListView.aspx（见清单1），这个页面将使用ListView控件从AdventureWorks示例数据库中的Product表显示产品数据。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:58:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%ae%b0/" title="标记">标记</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e6%9d%bf/" title="模板">模板</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/listview/" title="listview">listview</a>, <a href="https://www.iamivan.net/tag/listview%e4%b8%ad%e6%95%b0%e6%8d%ae%e7%9a%84%e8%8e%b7%e5%8f%96/" title="listview中数据的获取">listview中数据的获取</a>, <a href="https://www.iamivan.net/tag/db%e6%95%b0%e6%8d%ae%e6%8f%92%e5%85%a5listview/" title="db数据插入listview">db数据插入listview</a>, <a href="https://www.iamivan.net/tag/listview%e6%8e%a7%e4%bb%b6/" title="listview控件">listview控件</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e9%a1%b9%e7%9b%ae/" title="空项目">空项目</a>, <a href="https://www.iamivan.net/tag/listview%e7%95%8c%e9%9d%a2%e9%97%ae%e9%a2%98/" title="listview界面问题">listview界面问题</a>, <a href="https://www.iamivan.net/tag/listview%e6%8f%92%e5%85%a5%e5%a4%9a%e8%a1%8c/" title="listview插入多行">listview插入多行</a>, <a href="https://www.iamivan.net/tag/listview%c2%a0%c2%a0%e5%88%a0%e9%99%a4%e6%93%8d%e4%bd%9c/" title="listview&nbsp;&nbsp;删除操作">listview&nbsp;&nbsp;删除操作</a>, <a href="https://www.iamivan.net/tag/listview%e6%95%b0%e6%8d%ae%e4%b8%8b%e8%bd%bd/" title="listview数据下载">listview数据下载</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET ListView控件学习系列1-了解ListView控件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2EQoz.html" rel="bookmark">ASP&period;NET ListView控件学习系列2-编辑ListView（Edit&comma;Update&comma;Insert&comma;Delete）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.编辑,取消,更新操作 首先拖一个ListView控件到页面,然后按如下代码进行调整,这里为了利用ListView控件中按钮的内置功能CommandName必须和我们这里的名字一样 前端代码 &lt;asp:ListView ID=&quot;ListView1&quot; runat=&quot;server&quot; OnItemEditing=&quot;ListView1_ItemEditing&quot; OnItemCanceling=&quot;ListView1_ItemCanceli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRdkNz.html" rel="bookmark">ASP&period;NET ListView控件学习系列3-ListView选择，排序，分页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				选择例子 前端代码: &lt;asp:ListView ID=&quot;ListView1&quot; runat=&quot;server&quot; onselectedindexchanging=&quot;ListView1_SelectedIndexChanging&quot;&gt; &lt;LayoutTemplate&gt; &lt;table id=&quot;Table1&quot; runat=&quot;server&quot; border=&quot;0&quot; styl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9AWXM.html" rel="bookmark">ASP&period;NET MVC 3&period;0学习系列文章&mdash;NuGet and ASP&period;NET MVC 3&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Introduction NuGet is a Visual Studio 2010 extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects that use the .NET Framework. This topic lists documentation that will help you use NuGet packages and c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv3Q8p.html" rel="bookmark">ASP&period;NET学习篇&lpar;4&rpar;&mdash;&mdash;服务器端的控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|服务器|控件 一. 验证控件  验证控件有以下几种: RequiredFieldValidator,必须填内容 CompareValidator,同某个常量或另外的控件的值做比较 RangeValidator,范围验证 RegularExpressionValidator,同一个模式做比较,用于EMAIL,邮政编码等验证 CustomValidator,自定义条件验证 ValidationSummary,显示验证后的错误信息摘要,,如验证失败,则Page对象IsValid属性被设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN4jqb.html" rel="bookmark">ASP&period;net控件开发系列之八</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				怎样更改默认的控件分析逻辑 ------用PersistChildren(false)和ControlBuilder来定制ASP.net对控件标签对中的内容的分析 &quot;我的地盘,我做主&quot; 写到这里,我把foobar播放的音乐换成了周杰伦的歌,虽然不是&quot;我的地盘&quot;. 我们来回顾一下第三篇中的一段代码: &lt;asp:DropDownList id=&quot;DropDownList1&quot; runat=&quot;server&quot; Font-Bold=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxneqp.html" rel="bookmark">ASP&period;NET 控件开发系列之图片切换web控件&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发系列之图片切换web控件_实用技巧-&quot;&gt;贴出来控件页面的代码. PicList.ascx 复制代码 代码如下: &lt;%@ Control Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;PicList.ascx.cs&quot; Inherits=&quot;WebParts_PicList&quot; %&gt; &lt;style type=&quot;text/css&quot;&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn75grz.html" rel="bookmark">Asp&period;Net MVC5入门学习系列⑤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Asp.Net MVC5入门学习系列⑤ 检查VS生产的编辑方法和编辑窗体      前面我们一步使用强类型,然后创建Controller(控制器)的时候,VS默认已经给我们把CURD都简单的实现了.这篇的话就简单的看下它默认实现的代码,VS终归强大,但是方便的同时也是在弱化我们,当然大牛级别的这样搞是为了效率,我们新手的话还是建议不要去偷那个懒,至于为什么?不解释啦.....    我们打开我们的创建的实体对象Movie类,然后再ReleaseDate属性上添加一些标识特性,具体如下:  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8G2VM.html" rel="bookmark">ASP&period;NET 2&period;0数据教程之三十二&colon;数据控件的嵌套</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				返回&quot;ASP.NET 2.0数据教程目录&quot; 导言 除了静态HTML和数据绑定语法,template也可以包含Web控件和用 户控件.这些控件的属性可以通过声明语法,数据绑定语法或在服务器端通过事件 处理编程来设置. 通过将控件嵌入到template里,可以自定义界面,提升用 户体验.例如,在在GridView控件中使用TemplateField 里,我们学习了如何通过在 GridView的TemplateField里加一个Calendar控件来表示员工的雇佣日期.在给编 辑和新增界面增			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6aW3z.html" rel="bookmark">非常ASP&period;NET&colon; 您将需要用到的独有数据绑定控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随 Visual Studio 2008 一同发布的 ASP.NET 3.5 引入了新的数据绑定控件-ListView. 我知道您正在想什么:为什么 ASP.NET 里还需要另一个数据绑定控件呢?毕竟,当显示数据收集时,我们 已经有超过 10 个控件可供选择,其中包括逐渐不再使用的 DataGrid.新的和改进的 GridView.非常可 靠和简单的 Repeater.独特和灵活的 DataList.方便的 FormView 及其稍显冗余的同行 DetailsView. 当然,还有一维列表控件			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3VmzA.html" rel="bookmark" class="title">python操作mongodb根据</a>
					<div>
						  本文实例讲述了python操作mongodb根据_id查询数据的实现方法.分享给大家供大家参考.具体分析如下: _id是mongodb自动生成的id,其类型为ObjectId,所以如果需要在pyt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrmomb.html" rel="bookmark" class="title">为什么基于代价的优化器做出错误选择</a>
					<div>
						基于代价的优化器(CBO)在进行全表扫描时偶尔会作出一些错误的选择,这种情况尤其发生在Oracle7和Oracle8之中.有几种情况会导致这个问题,分别如下所示:最高使用标记(High water m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlZ5Vz.html" rel="bookmark" class="title">DODS学习日记&lpar;四&rpar;</a>
					<div>
						表参数定义在三个层次: 第一个层次是DatabaseManager层,这个层次可以定义下面的参数(可选) DatabaseManager.defaults.allReadOnly=true Datab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBBYab.html" rel="bookmark" class="title">ASP&period;NET立即上手教程 13&lpar;完&rpar;</a>
					<div>
						asp.net|教程 利用商务对象来工作这几天元旦过得晕头转向,好不容易清醒过来 :-) 所以拖的时间久了一点,不好意思了.在商务组件中封装逻辑是实际应用程序,比如基于web的应用以及其他应用中,必不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wx48p.html" rel="bookmark" class="title">硬盘分区小技巧</a>
					<div>
						比如你想得到一个2G的分区你也许会输入2000M或者2048M其实你输入的这些数字所分出来的区在Windows下面都 不会被认成整数的2G,而是1.9?G,想要得到Windows下的整数G分区,你必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEl9Wb.html" rel="bookmark" class="title">PS创意打造玻璃瓶中的人像幻想概念作品教程</a>
					<div>
						所看即所得,你看到的画面是什么,你脑子里面想到的是什么,既是我要传达的,就如同一千个人眼中有一千个哈姆雷特. 我觉得片子不必拘泥于非得的弄个很贴切的标题才算是完事,就如同我上面说的所看即所得,也许你会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElVYoz.html" rel="bookmark" class="title">Win8系统Metro界面中的QQ帐号注销方法</a>
					<div>
						首先在社交应用登入后,可以使用右键或由屏幕外侧由上向下(或由下向上)滑入调出AppBar,可以看到&quot;注销&quot;选项,点击注销即可,例如QQ应用. 少数社交应用可以通过点击头像修改在线状 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG2Xwp.html" rel="bookmark" class="title">WPS演示简单制作标题移位的动画效果</a>
					<div>
						  曾经见过一个用Director制作的课件,演示时,有一个大标题由屏幕中心转移到边缘的效果,显得很专业.于是探索能否在WPS演示中实现,结论是,完全没有问题! 第一步,主体文字制作.在幻灯片中中心位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EgK3M.html" rel="bookmark" class="title">千牛云盘怎么用？</a>
					<div>
						  一:共享文件 要求:成功共享一个文件夹给其他用户,奖励100G 1.打开并登录千牛云盘,在文件管理界面,选中要共享的文件夹,点击&quot;更多-内部共享&quot;; 2.在弹出的共享文件夹窗口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNLRVz.html" rel="bookmark" class="title">java 处理指纹方面的问题</a>
					<div>
						问题描述 java 处理指纹方面的问题 各位好! 最近要接触到java处理指纹方面的东西,请问如何从指纹上将指纹存入数据库[从指纹机上得到的指纹是什么形式的,然后会怎么进行处理后存入数据库或是厂家会提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7G0vz.html" rel="bookmark" class="title">Swift&colon;在Safari中打开App</a>
					<div>
						打开之前会发生什么呢,先看看这个图: 我这里只是简单模拟了一下.当你输入一个特殊的&quot;url&quot;之后,Safari弹出一个提示,问你是否继续打开这个App.如果你这个时候confirm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NaJmz.html" rel="bookmark" class="title">我在VS2010中引用外部的头文件，提示找不到源文件&OpenCurlyDoubleQuote;&period;cpp&rdquo;</a>
					<div>
						问题描述 我在VS2010中引用外部的头文件,提示找不到源文件&quot;.cpp&quot; 我已经将头文件和.cpp文件所在路径添加至 &quot;VC++ --&gt;包含目录&quot;和 & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRaR2p.html" rel="bookmark" class="title">Java 基础语法你必须清楚</a>
					<div>
						一个Java程序可以认为是一系列对象的集合,而这些对象通过调用彼此的方法来协同工作.下面简要介绍下类.对象.方法和实例变量的概念. 对象:对象是类的一个实例,有状态和行为.例如,一条狗是一个对象,它的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlJlrp.html" rel="bookmark" class="title">为什么用GPU挖比特币？</a>
					<div>
						http://www.leiphone.com/gpubitcoin.html 呵呵,这么红火的东东,不了解就长不了见识. 转一下两个东东,这挖矿机天天在算什么内容,还有,当前为什么GPU比CPU有优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgoD5b.html" rel="bookmark" class="title">socket编程，服务器断开，程序卡死在send函数</a>
					<div>
						问题描述 socket编程,服务器断开,程序卡死在send函数 10C 请问大神们.下面的代码有什么问题的呢?为什么服务器断开.select超时是不跑的呢.谢谢!int cflags = fcntl( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5KN6M.html" rel="bookmark" class="title">工信部郑昕：中小企业信息化要把握云计算契机</a>
					<div>
						ZDNet至顶网软件频道消息: 工业和信息化部中小企业司司长郑昕5月5日在北京举办的&quot;中小企业信息化服务信息发布会&quot;上披露,2014年,中小企业信息化推进工作要继续实施中小企业两化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnVyPM.html" rel="bookmark" class="title">外围的推广，对网站是否有帮助性作用</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 站外推广,包含了友情链接的建设.链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBa3Yz.html" rel="bookmark" class="title">android fragment的返回事件</a>
					<div>
						问题描述 android fragment的返回事件 我在主activity写了一个onkeydown方法,其他依附在activity上的fragment,也都是用 这个方法,但是我想让每个fragm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Ya0b.html" rel="bookmark" class="title">谈谈机械产品站的多年运营经验</a>
					<div>
						摘要: 说出来不怕大家笑话,笔者公司的这个机械产品站,2年来近3个月内才扭亏为盈.期间,网站的seo也做得尚可,主关键词车位锁等都排名在百度等首页;其投放的竞价广告很多词都是三星 说出来不怕大家笑话, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1YJOb.html" rel="bookmark" class="title">逆转交替合并两个链表的解析与实现&lowbar;java</a>
					<div>
						逆转交替合并两个链表,即从一个链表的尾指针指向另一个链表的尾指针,依次逆转交替进行合并.下面就通过实例来详细的介绍该逆转交替合并两个链表的思路与实现代码. 一.问题描述 链表A和B A: 1-&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zm3Zb.html" rel="bookmark" class="title">js中访问html中iframe的文档对象的代码&lbrack;IE6&comma;IE7&comma;IE8&comma;FF&rsqb;&lowbar;javascript技巧</a>
					<div>
						&lt;iframe id= &quot;myframe&quot; &gt;&lt;/iframe&gt; W3C的标准告诉我们,可以通过Dom对象的contentDocument属性来返回文档对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QBwWp.html" rel="bookmark" class="title">土豆自制网剧投资追平电视台</a>
					<div>
						商报讯(记者 罗添)日前,土豆网正式发布了其&quot;橙色盒子(Orange Box)自制剧计划.土豆网将率先从单纯的视频内容平台供应商转型成为 &quot;平台提供商+内容出品方&quot;的双重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YkxYb.html" rel="bookmark" class="title">云输入专利申请莫搞噱头</a>
					<div>
						近日,华军软件园出了一篇新闻称&lt;http://www.aliyun.com/zixun/aggregation/9583.html&quot;&gt;百度输入法开放API 抢先将云输入法注册专利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXJGOz.html" rel="bookmark" class="title">中国互联网利益大战  谁会是获利者&quest;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 新一轮互联网变局中,新兴媒体类网络公司所受创伤最大,新浪等门户网站会受一定影响,网络游戏基本不受影响,阿里巴巴.淘宝为代表的电子商务公司则更加炙手可热, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqy26p.html" rel="bookmark" class="title">设计师们如何高效利用配色表&lowbar;photoshop</a>
					<div>
						本文主要讲解:配色表.单组色调搭配.双组色调搭配.多组色调搭配.搭配规律.色彩搭配节奏等知识,配色表可以根据不同的纯度明度调配多组色调,通常在一个项目基本会确定一种主色,配合几种辅色制定个性化的配色方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YDlDp.html" rel="bookmark" class="title">并非包治百病 冷眼看ITIL 3&period;0</a>
					<div>
						企业在导入ITIL之初和实施ITIL的过程中要保持理性思维,避免出现&quot;导入并实施ITIL是找死,不导入ITIL是等死&quot;的怪圈. ITIL(Information Technolog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYB0Nxp.html" rel="bookmark" class="title">做站心声：网站美观度也能留下用户的秘密</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站的美观度,相信是很多新手站长非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19OwaM.html" rel="bookmark" class="title">怎么显示不出来照片呢</a>
					<div>
						问题描述 PictureBox1.Image=Image.FromFile(CurDir()&amp;&quot;&amp;shfzh(1).jpg&quot;)我想通过数组shfzh和照片名字关联. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5OX0mb.html" rel="bookmark" class="title">新手小白一枚，请教一个关于Generic的问题</a>
					<div>
						问题描述 JDK版本是1.7,Eclipse里面也设置好了.直接上图,请问里应该怎么处理呢?谢谢大家了. 解决方案 解决方案二:importjava.util.*;publicclassBasicGe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjRyWM.html" rel="bookmark" class="title">盘点：十六家上市银行员工平均薪酬和利润榜</a>
					<div>
						上半年上帿a href=&quot;http://news.pedaily.cn/industry/银行/&quot; target=_blank&gt;银行中人均薪酬最高的是浦叿a href=&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
